IBM Security Guardium

 View Only
  • 1.  API CALL Output

    Posted Wed April 13, 2022 09:17 AM


    Hello, I am new with Guardium. I tried to install patch Health Check patch 9998 from a GUI. Right-click on a patch  9998, selected Invoke > patch_install and pushed  Click Invoke now. But I got an error Api Call Output ID=0. Where to look for an error?








    ------------------------------
    Tomas P
    ------------------------------


  • 2.  RE: API CALL Output

    Posted Thu April 14, 2022 08:22 AM
    Tomas, I wish installing patches were that easy through the GUI.  The DPS updates can be done through the GUI but system patches and healthchecks are done in other ways.  The only system patches that can be applied through the GUI is if you have a central manager with managed collectors/aggregators.  The managed collectors and aggregators can be applied through the 'Central Management' screen.  Otherwise all standalone (not managed by Central Manager) and all Central Managers must be patched through the CLI.

    This is a great place to start.
    https://www.ibm.com/docs/en/guardium/11.4?topic=system-how-install-patches

    If you're looking for visual help, this YouTube video may help.
    https://www.youtube.com/watch?v=IUbcmu53GGs

    ------------------------------
    Walter York
    ------------------------------



  • 3.  RE: API CALL Output

    Posted Mon April 18, 2022 08:10 AM

    Hello Walter,

    Thank for replay.  I tried to install health check patch form command line  (store system patch install sys now) But a result is the same.  I found some information (a lab (https://www.securitylearningacademy.com/pluginfile.php/201998/mod_resource/content/12/LDL0260X_Upgrading_Guardium_from_10.6_to_11.0.pdf) ) for upgrading Guardium version. It is wrote that a patch 635 is needed. But I cant find this patch in IBM site.

    Here is information about installed patches:

    show system patch install status
    P# Who Description Request Time Status
    1 CLI Single Perl script - gautodetec 2014-07-07 09:42:21 DONE: Patch installation Succeeded.
    1180 CLI mysql certificate update 2014-07-13 21:30:56 DONE: Patch installation Succeeded.
    200 CLI Guardium Patch Update (GPU) for 2014-11-05 09:53:34 DONE: Patch installation Succeeded.
    9997 CLI Health Check for GPU and Upgrad 2016-08-03 09:36:04 WARNING: This appliance found vulnerable to CVE-2014-3566
    100 CLI Guardium Patch Update (GPU) for 2016-11-23 10:16:34 ERROR: Copy the patch file: "/var/IBM/Guardium/log/patches/SqlGuard-10.0p100_GPU_May_2016_V1
    120 CLI Combined Fix Pack for v10.0 GPU 2016-11-23 10:19:34 ERROR: Copy the patch file: "/var/IBM/Guardium/log/patches/SqlGuard-10.0p120_CFP_Aug_24_2016
    500 CLI Guardium Patch Update (GPU) for 2018-05-08 12:46:39 ERROR: Copy the patch file: "/var/IBM/Guardium/log/patches/SqlGuard-10.0p500_GPU_Apr_2018_V1
    6021 CLI Security Update 2016-11-23 10:28:34 ERROR: Copy the patch file: "/var/IBM/Guardium/log/patches/SqlGuard-10.0p6021.tgz.enc.sig".
    125 CLI Update Bundle for v10.0 CFP 120 2016-11-23 10:22:34 ERROR: Copy the patch file: "/var/IBM/Guardium/log/patches/SqlGuard-10.0p125_Bundle_Sep_15_2
    210 CLI Update Bundle for v10.0 GPU 200 2022-02-07 16:14:51 ERROR: Pre requisite patches: "200" are not installed. Please install the patches and then
    4076 CLI Snif Update (Feb 16 2022) 2022-03-04 14:40:27 DONE: Patch installation Succeeded.
    1014 CLI CVE-2021-45105, CVE-2021-45046 2022-03-08 09:02:03 DONE: Patch installation Succeeded.
    680 CLI Update Bundle for v10.0 GPU 600 2022-03-08 09:05:03 DONE: Patch installation Succeeded.
    685 CLI CVE-2021-44228, CVE-2021-45046 2022-03-08 09:08:03 DONE: Patch installation Succeeded.
    11002 API Upgrade to Version 11.3 (Apr 07 2022-01-11 13:15:56 ERROR: Patch cannot be decoded.
    9997 CLI Health Check for GPU installati 2022-02-18 14:08:11 ERROR: Copy the patch file: "/var/IBM/Guardium/log/patches/SqlGuard-10.0p9997.tgz.enc.sig".
    600 CLI Guardium Patch Update (GPU) for 2022-02-18 14:10:24 ERROR: Copy the patch file: "/var/IBM/Guardium/log/patches/SqlGuard-10.0p600_GPU_Nov_2018_V1
    690 CLI Update Bundle for v10.0 GPU 600 2022-03-21 15:10:34 ERROR: Pre requisite patches: "600, 9997" are not installed. Please install the patches and
    4015 CLI Snif Update 2016-11-23 10:25:34 ERROR: Copy the patch file: "/var/IBM/Guardium/log/patches/SqlGuard-10.0p4015.tgz.enc.sig".
    6023 CLI Security Update 2022-02-04 10:38:00 ERROR: Pre requisite patches: "200" are not installed. Please install the patches and then
    9998 CLI Health Check for v11 upgrade in 2022-04-18 09:36:48 ERROR: Patch Installation Failed - Recovery from pre patch backup Succeeded
    ok



    ------------------------------
    Lbank Unix Group
    ------------------------------